Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.outlet.java
Class ModifySourcenameOutlet

    java.lang.Object
      org.apache.torque.generator.outlet.OutletImpl
          org.apache.torque.generator.outlet.java.ModifySourcenameOutlet

All Implemented Interfaces:
  Outlet

    public class ModifySourcenameOutlet

extends OutletImpl

Creates a target filename from a source filename.

Constructor Summary
`ModifySourcenameOutlet(QualifiedName qualifiedName)` Constructor.

Method Summary
`OutletResult` | `execute(ControllerState controllerState)` Generates the output for this template into the Generated object.
`String` | `getDiscardFrom()` Returns the character sequence which separates the discarded beginning of the source filename from the returned end.
`String` | `getDiscardTo()` The character sequence from the beginning of the source filename to and including the last occurrence of the returned string is discarded for the result.
`String` | `getPrefix()` Returns the prefix which is added in front of the modified source filename.
`String` | `getSuffix()` Returns the suffix which is added after the modified source filename.
`void` | `setDiscardFrom(String discardFrom)` Sets the character sequence which separates the discarded beginning of the source filename from the returned end.
`void` | `setDiscardTo(String discardTo)` Sets the character sequence after which last occurrence the source filename is returned.
`void` | `setPrefix(String prefix)` Sets the prefix which is added in front of the modified source filename.
`void` | `setSuffix(String suffix)` Sets the suffix which is added after the modified source filename.

Methods inherited from class org.apache.torque.generator.outlet.OutletImpl
`addMergepointMapping, afterExecute, beforeExecute, getInputElementName, getMergepointMapping, getMergepointMappings, getName, getVariable, mergepoint, setInputElementName, setMergepointMapping, setVariable, setVariable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModifySourcenameOutlet

    public ModifySourcenameOutlet(QualifiedName qualifiedName)

  Constructor.

  Parameters:
    `qualifiedName` - the qualified name of the outlet, not null.

Method Detail

### execute

    public OutletResult execute(ControllerState controllerState)
                         throws GeneratorException

  Description copied from interface: `Outlet`
  Generates the output for this template into the Generated object.

  Specified by:
    `execute` in interface `Outlet`
  Specified by:
    `execute` in class `OutletImpl`
  Parameters:
    `controllerState` - the current controller state, not null.
  Returns:
    the output of the Outlet.
  Throws:
    `GeneratorException` - if generation fails.

### getPrefix

    public String getPrefix()

  Returns the prefix which is added in front of the modified source filename.

  Returns:
    the prefix, not null

### setPrefix

    public void setPrefix(String prefix)

  Sets the prefix which is added in front of the modified source filename.

  Parameters:
    `prefix` - the prefix, not null.
  Throws:
    `NullPointerException` - if prefix is null.

### getSuffix

    public String getSuffix()

  Returns the suffix which is added after the modified source filename.

  Returns:
    the suffix, not null.

### setSuffix

    public void setSuffix(String suffix)

  Sets the suffix which is added after the modified source filename.

  Parameters:
    `suffix` - the suffix, not null
  Throws:
    `NullPointerException` - if suffix is null.

### getDiscardFrom

    public String getDiscardFrom()

  Returns the character sequence which separates the discarded beginning of the source filename from the returned end.

  Example: if the source filename is "xyz.a.b.c", and discardFrom is ".", then "xyz" will be returned.

  Returns:
    the character sequence from whose first occurrence the source filename is discarded.

### setDiscardFrom

    public void setDiscardFrom(String discardFrom)

  Sets the character sequence which separates the discarded beginning of the source filename from the returned end.

  Example: if the source filename is "xyz.a.b.c", and discardFrom is ".", then "xyz" will be returned.

  Parameters:
    `discardFrom` - the character sequence from whose first occurrence the source filename is discarded.

### getDiscardTo

    public String getDiscardTo()

  The character sequence from the beginning of the source filename to and including the last occurrence of the returned string is discarded for the result.

  Example: if the source filename is "xyz.a.b.c", and discardTo is ".", then "c" will be returned.

  Returns:
    the character sequence up to whose last occurrence the source filename is discarded.

### setDiscardTo

    public void setDiscardTo(String discardTo)

  Sets the character sequence after which last occurrence the source filename is returned.

  Example: if the source filename is "xyz.a.b.c", and discardTo is ".", then "c" will be returned.

  Parameters:
    `discardTo` - the character sequence up to whose last occurrence the source filename is discarded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.